
StocksAndFisheriesKB - Feature #12278

Feature # 10960 (Closed): GRSF Record citation facility

Complete Citation development

Jul 31, 2018 02:16 PM - Aureliano Gentile

Status: Closed Start date: Jul 31, 2018

Priority: Normal Due date:  

Assignee: Yannis Marketakis % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: GRSF   

Description

The template for a citation of a GRSF record is the following (from GRSF TWG3 report, Feb. 2018):

© [Copyright holder]. Title. In: Global Record of Stocks and Fisheries (GRSF). [Publisher]. Version: [Version]. Updated [Update date].

[Date accessed and/or downloaded [Access date]]. [GRSF Record URL]. Database sources: [Database sources]. Sources citations:

[Citations to the database sources]

So far such template is partially respected, see in example 

http://data.d4science.org/ctlg/GRSF_Admin/b14ca34c-7a23-31d1-bd4b-181d0bf0ca98 

Copyright holder 2018. Consiglio Nazionale delle Ricerche, CNR. XXX MISSING  In: Global Record of Stocks and Fisheries (GRSF).

; MISSING GRSF Record TITLE XXX Version: 1.0 Updated: June 27, 2018. Accessed: [Date accessed and/or downloaded]. 

http://data.d4science.org/ctlg/GRSF_Admin/b14ca34c-7a23-31d1-bd4b-181d0bf0ca98 [XXX Missing Database sources: XXX

FishSource]

XXXX MISSING Sources citations: [Citations to the database sources] XXX

History

#1 - Jul 31, 2018 02:26 PM - Luca Frosini

- Tracker changed from Bug to Feature

- Parent task set to #10960

@aureliano.gentile@fao.org I just recognized that another ticket exists for such a task see #10960.

I'll add it as a subtask

#3 - Sep 11, 2018 12:09 PM - Luca Frosini

So, the new template is:

© [Copyright holder]. Title. In: Global Record of Stocks and Fisheries (GRSF). [Publisher]. Version: [Version]. Updated [Update date]. [Date accessed

and/or downloaded [Access date]]. [GRSF Record URL]. Database sources: [Database sources]. Sources citations: [Citations to the database

sources]

The actual value is:

Copyright holder 2018. Consiglio Nazionale delle Ricerche, CNR. Version: 1.0 Updated: June 27, 2018. Accessed: [Date accessed and/or

downloaded]. http://data.d4science.org/ctlg/GRSF_Admin/b14ca34c-7a23-31d1-bd4b-181d0bf0ca98 [FishSource]

The citation for such a record should became :(missing parts are in bold, part to be removed in striked out)

© Copyright holder 2018. Consiglio Nazionale delle Ricerche, CNR. In: Global Record of Stocks and Fisheries (GRSF). [Publisher]. Version: 1.0

Updated: June 27, 2018. Accessed: [Date accessed and/or downloaded]. 

http://data.d4science.org/ctlg/GRSF_Admin/b14ca34c-7a23-31d1-bd4b-181d0bf0ca98

Database sources: [FishSource] . Sources citations: [Citations to the database sources]

The title part is not clear for me (I also checked https://support.d4science.org/projects/stocksandfisherieskb/wiki/GRSF_database_overview#Citation)

@aureliano.gentile@fao.org do I miss something?

#4 - Sep 11, 2018 12:09 PM - Luca Frosini

- Assignee changed from Luca Frosini to Yannis Marketakis
[Year]
http://data.d4science.org/ctlg/GRSF_Admin/b14ca34c-7a23-31d1-bd4b-181d0bf0ca98
http://data.d4science.org/ctlg/GRSF_Admin/b14ca34c-7a23-31d1-bd4b-181d0bf0ca98
https://redmine.dev.d4science.org/issues/10960
http://data.d4science.org/ctlg/GRSF_Admin/b14ca34c-7a23-31d1-bd4b-181d0bf0ca98
http://data.d4science.org/ctlg/GRSF_Admin/b14ca34c-7a23-31d1-bd4b-181d0bf0ca98
https://support.d4science.org/projects/stocksandfisherieskb/wiki/GRSF_database_overview#Citation


#5 - Sep 11, 2018 12:27 PM - Yannis Marketakis

@aureliano.gentile@fao.org please explain what  Sources citations: [Citations to the database sources] should be as well? 

#6 - Sep 11, 2018 12:46 PM - Aureliano Gentile

Title is the tile of the record we are citing! In example "Pomadasys jubelini Pomadasys incisus Brachydeuterus auritus Western Gulf of Guinea" and

the url will be http://data.d4science.org/ctlg/GRSF_Admin/c58637dd-3a63-3e54-b132-e07f9ed34454

So it should be something like:

© CNR 2018. Pomadasys jubelini Pomadasys incisus Brachydeuterus auritus Western Gulf of Guinea. In: Global Record of Stocks and Fisheries

(GRSF). Consiglio Nazionale delle Ricerche, CNR. Version: 1 Last Updated September 7, 2018. [Date accessed and/or downloaded 11 September

2018]. http://data.d4science.org/ctlg/GRSF_Admin/c58637dd-3a63-3e54-b132-e07f9ed34454

Database sources: [FIRMS].

Sources citations: © FAO 2000-2018. FAO CECAF Scientific Sub- Committee. CECAF Scientific advice 2005. Bigeye grunt, Sompat grunt, Bastard

grunt - Cote d'Ivoire, Ghana, Togo and Benin. FIRMS Reports. In: Fisheries and Resources Monitoring System (FIRMS) [online]. Rome. Updated .

[Cited 11 September 2018]. http://firms.fao.org/firms/resource/10226/en

Database sources are simply the acronyms of the sources (FIRMS, RAM, FishSource), in this case only FIRMS. We'll see later if we need to spell out

in full or if enough like that as acronyms.

Source citations: RAM has a default one for all records, FIRMS and FishSource have their own which can be copied directly from sources. e.g. 

http://firms.fao.org/fi/common/format/popUpCitation.jsp?subSite=FIRMS&url=http%3A//firms.fao.org/firms/resource/10226/en (we can talk on that to

provide more explanations).

#7 - Sep 13, 2018 12:45 PM - Yannis Marketakis

Aureliano Gentile wrote:

Source citations: RAM has a default one for all records, FIRMS and FishSource have their own which can be copied directly from sources. e.g. 

http://firms.fao.org/fi/common/format/popUpCitation.jsp?subSite=FIRMS&url=http%3A//firms.fao.org/firms/resource/10226/en (we can talk on

that to provide more explanations).

 Please clarify how these citation will be made avaialbe (from the raw data). As you know we are harvesting XML data from FIRMs, so the citation

message should be available in the XML sources as well.

The same occurs for FishShource. 

#8 - Sep 13, 2018 01:12 PM - Aureliano Gentile

this url http://firms.fao.org/fi/common/format/popUpCitation.jsp?subSite=FIRMS&url=http%3A//firms.fao.org/firms/resource/10226/en (where 10226 is

the ID of the FIRMS source record) provides html code for the citation, possibly this is the easiest way but shall we talk on that to ease the discussion

and find the easiest way or the best compromise?

#9 - Sep 13, 2018 01:48 PM - Yannis Marketakis

The aforementioned URL points to " Transform failed: No doc value set for custom tag " 

In any case, we should be able to harvest them using FIRMS services (that expose the contents as XML records)

#10 - Nov 22, 2018 02:25 PM - Aureliano Gentile

I just noticed this citation and it says "FAO 2018" 

https://bluebridge.d4science.org/group/grsf_admin/data-catalogue?path=/dataset/489926ea-bacc-396f-923c-ad6f7a978465 - this is obviously wrong

and if requirements https://support.d4science.org/projects/stocksandfisherieskb/wiki/GRSF_database_overview#Citation are not enough clear, please

contact us for clarifications.

#11 - Mar 21, 2019 05:14 PM - Luca Frosini

@marketak@ics.forth.gr yesterday I had a phone conference with @aureliano.gentile@fao.org about the citation.

If you think there are no issues on creating the field in grsf-ws service I can try to manage it.

An issue could be that the service does not have enough info to create the field.

Let me know and assign the ticket to me if you think is feasible.

#12 - Mar 22, 2019 09:52 AM - Yannis Marketakis

The issue is not clear to me here.

I see that the latest comment from @aureliano.gentile@fao.org is about "FAO 2018".

According to the guidelines for FIRMS the citation should be:
[© FAO] [Date created]. [Title of content].

 For the particular record we have recorded that the creation date is 2018. As a result the citation goes like this

FAO 2018. Senegal hake, Benguela hake - Morocco.

 So I do not see the issue here. Is it something else I am missing?

#13 - Mar 23, 2019 09:34 AM - Aureliano Gentile

Sorry, I understand the comment was not clear enough. My point was that the legacy firms fact sheet was not updated in 2018 but much earlier.

Anyway, we are going to have a call next week also on this matter and see if we find the way to finalize this citation service. Thanks

#14 - Mar 26, 2019 09:43 AM - Yannis Marketakis

Some months ago, we have exchanged this doc (

https://docs.google.com/document/d/1W7-GSTLFL28bZ8ejJC3O8Bi47kWIvvPCNCq5HCVv0SE/edit?usp=sharing) to clarify on the citation fields.

I see that for FIRMS the "Date created" field is taken from /fi:FIGISDoc/fi:ObjectSource/fi:CoverPage/dcterms:Created (only year value).

I see that for several records this information does not exist. So the question is what do we do for these?

#15 - Mar 26, 2019 10:49 AM - Aureliano Gentile

Thanks for your patience, can you please provide one or more example of missing year value so I can check what's wrong?

#16 - Mar 26, 2019 11:07 AM - Yannis Marketakis

Of course. Some indicative ones I found are: 

http://firms.fao.org/fishery/xml/resource/10122/en

http://firms.fao.org/fishery/xml/resource/10298/en

http://firms.fao.org/fishery/xml/resource/10118/en

http://firms.fao.org/fishery/xml/resource/10140/en

#17 - Mar 26, 2019 11:15 AM - Aureliano Gentile

yes, in some old files, sorry for that. I think in this case it should remain empty since the issue is on the source data and not in the GRSF nor in the

citation mechanism. It is us FIRMS to fix the source data first. If you manage to provide a full list as possible then I can see if we can fix them quickly.

#18 - Mar 26, 2019 02:54 PM - Yannis Marketakis

- File Stocks_missing_creation_date.txt added

Attached you will find the list with the stocks missing creation date.

#19 - Mar 27, 2019 11:50 AM - Aureliano Gentile

Thanks, a colleague of mine is fixing such missing dates. The next FIRMS-to-GRSF data harvest won't have this problem anymore. For the time

being the citation of these records will be without date of creation/update.

#20 - Oct 09, 2019 03:36 PM - Aureliano Gentile

Dear Yannis,

Ms Bracken completed the update of the above mentioned records by adding to all of them the creation date

(/fi:FIGISDoc/fi:ObjectSource/fi:CoverPage/dcterms:Created).

This implies that in the next data harvest you should no longer encounter this issue for building the citation.

Please double check, then I guess this ticket can be closed.

http://firms.fao.org/fishery/xml/resource/10084/en

http://firms.fao.org/fishery/xml/resource/10087/en

http://firms.fao.org/fishery/xml/resource/10091/en

http://firms.fao.org/fishery/xml/resource/10092/en

http://firms.fao.org/fishery/xml/resource/10096/en

http://firms.fao.org/fishery/xml/resource/10097/en

http://firms.fao.org/fishery/xml/resource/10101/en

http://firms.fao.org/fishery/xml/resource/10102/en

http://firms.fao.org/fishery/xml/resource/10116/en

http://firms.fao.org/fishery/xml/resource/10118/en

http://firms.fao.org/fishery/xml/resource/10122/en

http://firms.fao.org/fishery/xml/resource/10134/en

http://firms.fao.org/fishery/xml/resource/10135/fr

http://firms.fao.org/fishery/xml/resource/10139/en
http://firms.fao.org/fishery/xml/resource/10140/en

http://firms.fao.org/fishery/xml/resource/10157/en

http://firms.fao.org/fishery/xml/resource/10158/en

http://firms.fao.org/fishery/xml/resource/10159/en

http://firms.fao.org/fishery/xml/resource/10160/en

http://firms.fao.org/fishery/xml/resource/10161/en

http://firms.fao.org/fishery/xml/resource/10164/en

http://firms.fao.org/fishery/xml/resource/10165/en

http://firms.fao.org/fishery/xml/resource/10166/en

http://firms.fao.org/fishery/xml/resource/10167/en

http://firms.fao.org/fishery/xml/resource/10168/en

http://firms.fao.org/fishery/xml/resource/10169/en

http://firms.fao.org/fishery/xml/resource/10170/en

http://firms.fao.org/fishery/xml/resource/10171/en

http://firms.fao.org/fishery/xml/resource/10172/en

http://firms.fao.org/fishery/xml/resource/10173/en

http://firms.fao.org/fishery/xml/resource/10210/en

http://firms.fao.org/fishery/xml/resource/10211/en

http://firms.fao.org/fishery/xml/resource/10213/en

http://firms.fao.org/fishery/xml/resource/10216/en

http://firms.fao.org/fishery/xml/resource/10217/en

http://firms.fao.org/fishery/xml/resource/10226/en

http://firms.fao.org/fishery/xml/resource/10227/en

http://firms.fao.org/fishery/xml/resource/10229/en

http://firms.fao.org/fishery/xml/resource/10230/en

http://firms.fao.org/fishery/xml/resource/10232/en

http://firms.fao.org/fishery/xml/resource/10236/en

http://firms.fao.org/fishery/xml/resource/10238/en

http://firms.fao.org/fishery/xml/resource/10247/en

http://firms.fao.org/fishery/xml/resource/10249/en

http://firms.fao.org/fishery/xml/resource/10251/en

http://firms.fao.org/fishery/xml/resource/10252/en

http://firms.fao.org/fishery/xml/resource/10261/en

http://firms.fao.org/fishery/xml/resource/10265/en

http://firms.fao.org/fishery/xml/resource/10266/en

http://firms.fao.org/fishery/xml/resource/10270/en

http://firms.fao.org/fishery/xml/resource/10271/en

http://firms.fao.org/fishery/xml/resource/10273/en

http://firms.fao.org/fishery/xml/resource/10274/en

http://firms.fao.org/fishery/xml/resource/10275/en

http://firms.fao.org/fishery/xml/resource/10280/en

http://firms.fao.org/fishery/xml/resource/10294/en

http://firms.fao.org/fishery/xml/resource/10296/en

http://firms.fao.org/fishery/xml/resource/10297/en

http://firms.fao.org/fishery/xml/resource/10298/en

http://firms.fao.org/fishery/xml/resource/10299/en

http://firms.fao.org/fishery/xml/resource/10302/en

http://firms.fao.org/fishery/xml/resource/10305/en

http://firms.fao.org/fishery/xml/resource /10307/en

http://firms.fao.org/fishery/xml/resource/10308/en

http://firms.fao.org/fishery/xml/resource /10310/en

http://firms.fao.org/fishery/xml/resource/10346/en

http://firms.fao.org/fishery/xml/resource/10347/en

http://firms.fao.org/fishery/xml/resource/10362/en

http://firms.fao.org/fishery/xml/resource/10377/en

http://firms.fao.org/fishery/xml/resource/10380/en

http://firms.fao.org/fishery/xml/resource/10381/en

http://firms.fao.org/fishery/xml/resource/10405/en

http://firms.fao.org/fishery/xml/resource/10408/en

http://firms.fao.org/fishery/xml/resource/10409/en

http://firms.fao.org/fishery/xml/resource/10437/en

http://firms.fao.org/fishery/xml/resource/10443/en

http://firms.fao.org/fishery/xml/resource/10444/en

http://firms.fao.org/fishery/xml/resource/10450/en

http://firms.fao.org/fishery/xml/resource/10460/en

http://firms.fao.org/fishery/xml/resource/10462/en

http://firms.fao.org/fishery/xml/resource/10495/en

http://firms.fao.org/fishery/xml/resource/12001/en

http://firms.fao.org/fishery/xml/resource/13028/en

http://firms.fao.org/fishery/xml/resource/13059/en

http://firms.fao.org/fishery/xml/resource/13060/en

http://firms.fao.org/fishery/xml/resource/13092/en

http://firms.fao.org/fishery/xml/resource/13107/en

http://firms.fao.org/fishery/xml/resource/13118/en

http://firms.fao.org/fishery/xml/resource/13120/en
http://firms.fao.org/fishery/xml/resource/13380/en

http://firms.fao.org/fishery/xml/resource/13381/en

#21 - May 19, 2022 10:50 AM - Aureliano Gentile

- Status changed from New to Closed
